<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ContinuableRecordOutput (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ContinuableRecordOutput (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ContinuableRecordOutput.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html"
               title="class in org.apache.poi.hssf.record.cont"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
               target="_top">Frames</a></li>
        <li><a href="ContinuableRecordOutput.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record.cont</div>
    <h2 title="Class ContinuableRecordOutput" class="title">Class ContinuableRecordOutput</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.record.cont.ContinuableRecordOutput</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                           title="interface in org.apache.poi.util">LittleEndianOutput</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">ContinuableRecordOutput</span>
extends java.lang.Object
implements <a href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
              title="interface in org.apache.poi.util">LittleEndianOutput</a></pre>
                <div class="block">An augmented <a href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                                   title="interface in org.apache.poi.util"><code>LittleEndianOutput</code></a>
                    used for serialization of <a
                            href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html"
                            title="class in org.apache.poi.hssf.record.cont"><code>ContinuableRecord</code></a>s.
                    This class keeps track of how much remaining space is available in the current BIFF record and
                    can start new <a href="../../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                     title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>s as
                    required.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html#ContinuableRecordOutput-org.apache.poi.util.LittleEndianOutput-int-">ContinuableRecordOutput</a></span>(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out,
                                    int&nbsp;sid)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
                                        title="class in org.apache.poi.hssf.record.cont">ContinuableRecordOutput</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html#createForCountingOnly--">createForCountingOnly</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html#getAvailableSpace--">getAvailableSpace</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html#getTotalSize--">getTotalSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html#write-byte:A-">write</a></span>(byte[]&nbsp;b)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html#write-byte:A-int-int-">write</a></span>(byte[]&nbsp;b,
                                    int&nbsp;offset,
                                    int&nbsp;len)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html#writeByte-int-">writeByte</a></span>(int&nbsp;v)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html#writeContinue--">writeContinue</a></span>()</code>
                                    <div class="block">Terminates the current record and starts a new <a
                                            href="../../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                            title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>
                                        (regardless
                                        of how much space is still available in the current record).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html#writeContinueIfRequired-int-">writeContinueIfRequired</a></span>(int&nbsp;requiredContinuousSize)</code>
                                    <div class="block">Will terminate the current record and start a new <a
                                            href="../../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                            title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>
                                        if there isn't space for the requested number of bytes
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html#writeDouble-double-">writeDouble</a></span>(double&nbsp;v)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html#writeInt-int-">writeInt</a></span>(int&nbsp;v)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html#writeLong-long-">writeLong</a></span>(long&nbsp;v)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html#writeShort-int-">writeShort</a></span>(int&nbsp;v)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html#writeString-java.lang.String-int-int-">writeString</a></span>(java.lang.String&nbsp;text,
                                    int&nbsp;numberOfRichTextRuns,
                                    int&nbsp;extendedDataSize)</code>
                                    <div class="block">Writes a unicode string complete with header and character
                                        data.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html#writeStringData-java.lang.String-">writeStringData</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">Writes the 'optionFlags' byte and encoded character data of a
                                        unicode string.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ContinuableRecordOutput-org.apache.poi.util.LittleEndianOutput-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ContinuableRecordOutput</h4>
                                <pre>public&nbsp;ContinuableRecordOutput(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out,
                               int&nbsp;sid)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createForCountingOnly--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createForCountingOnly</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
                                        title="class in org.apache.poi.hssf.record.cont">ContinuableRecordOutput</a>&nbsp;createForCountingOnly()</pre>
                            </li>
                        </ul>
                        <a name="getTotalSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTotalSize</h4>
                                <pre>public&nbsp;int&nbsp;getTotalSize()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>total number of bytes written so far (including all BIFF headers)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAvailableSpace--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAvailableSpace</h4>
                                <pre>public&nbsp;int&nbsp;getAvailableSpace()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of remaining bytes of space in current record</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeContinue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeContinue</h4>
                                <pre>public&nbsp;void&nbsp;writeContinue()</pre>
                                <div class="block">Terminates the current record and starts a new <a
                                        href="../../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                        title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>
                                    (regardless
                                    of how much space is still available in the current record).
                                </div>
                            </li>
                        </ul>
                        <a name="writeContinueIfRequired-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeContinueIfRequired</h4>
                                <pre>public&nbsp;void&nbsp;writeContinueIfRequired(int&nbsp;requiredContinuousSize)</pre>
                                <div class="block">Will terminate the current record and start a new <a
                                        href="../../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                        title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>
                                    if there isn't space for the requested number of bytes
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>requiredContinuousSize</code> - The number of bytes that need to be
                                        written
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeStringData-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeStringData</h4>
                                <pre>public&nbsp;void&nbsp;writeStringData(java.lang.String&nbsp;text)</pre>
                                <div class="block">Writes the 'optionFlags' byte and encoded character data of a unicode
                                    string. This includes:
                                    <ul>
                                        <li>byte optionFlags</li>
                                        <li>encoded character data (in "ISO-8859-1" or "UTF-16LE" encoding)</li>
                                    </ul>

                                    Notes:
                                    <ul>
                                        <li>The value of the 'is16bitEncoded' flag is determined by the actual character
                                            data
                                            of <tt>text</tt></li>
                                        <li>The string options flag is never separated (by a <a
                                                href="../../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                                title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>)
                                            from the
                                            first chunk of character data it refers to.
                                        </li>
                                        <li>The 'ushort length' field is assumed to have been explicitly written
                                            earlier. Hence,
                                            there may be an intervening <a
                                                    href="../../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                                    title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>
                                        </li>
                                    </ul>
                                </div>
                            </li>
                        </ul>
                        <a name="writeString-java.lang.String-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeString</h4>
                                <pre>public&nbsp;void&nbsp;writeString(java.lang.String&nbsp;text,
                        int&nbsp;numberOfRichTextRuns,
                        int&nbsp;extendedDataSize)</pre>
                                <div class="block">Writes a unicode string complete with header and character data. This
                                    includes:
                                    <ul>
                                        <li>ushort length</li>
                                        <li>byte optionFlags</li>
                                        <li>ushort numberOfRichTextRuns (optional)</li>
                                        <li>ushort extendedDataSize (optional)</li>
                                        <li>encoded character data (in "ISO-8859-1" or "UTF-16LE" encoding)</li>
                                    </ul>

                                    The following bits of the 'optionFlags' byte will be set as appropriate:
                                    <table border='1'>
                                        <tr>
                                            <th>Mask</th>
                                            <th>Description</th>
                                        </tr>
                                        <tr>
                                            <td>0x01</td>
                                            <td>is16bitEncoded</td>
                                        </tr>
                                        <tr>
                                            <td>0x04</td>
                                            <td>hasExtendedData</td>
                                        </tr>
                                        <tr>
                                            <td>0x08</td>
                                            <td>isRichText</td>
                                        </tr>
                                    </table>
                                    Notes:
                                    <ul>
                                        <li>The value of the 'is16bitEncoded' flag is determined by the actual character
                                            data
                                            of <tt>text</tt></li>
                                        <li>The string header fields are never separated (by a <a
                                                href="../../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                                title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>)
                                            from the
                                            first chunk of character data (i.e. the first character is always encoded in
                                            the same
                                            record as the string header).
                                        </li>
                                    </ul>
                                </div>
                            </li>
                        </ul>
                        <a name="write-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>public&nbsp;void&nbsp;write(byte[]&nbsp;b)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianOutput.html#write-byte:A-">write</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                                title="interface in org.apache.poi.util">LittleEndianOutput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="write-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>public&nbsp;void&nbsp;write(byte[]&nbsp;b,
                  int&nbsp;offset,
                  int&nbsp;len)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianOutput.html#write-byte:A-int-int-">write</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                                title="interface in org.apache.poi.util">LittleEndianOutput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeByte-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeByte</h4>
                                <pre>public&nbsp;void&nbsp;writeByte(int&nbsp;v)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianOutput.html#writeByte-int-">writeByte</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                                title="interface in org.apache.poi.util">LittleEndianOutput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeDouble-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeDouble</h4>
                                <pre>public&nbsp;void&nbsp;writeDouble(double&nbsp;v)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianOutput.html#writeDouble-double-">writeDouble</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                                title="interface in org.apache.poi.util">LittleEndianOutput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeInt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeInt</h4>
                                <pre>public&nbsp;void&nbsp;writeInt(int&nbsp;v)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianOutput.html#writeInt-int-">writeInt</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                                title="interface in org.apache.poi.util">LittleEndianOutput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeLong-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeLong</h4>
                                <pre>public&nbsp;void&nbsp;writeLong(long&nbsp;v)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianOutput.html#writeLong-long-">writeLong</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                                title="interface in org.apache.poi.util">LittleEndianOutput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeShort-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>writeShort</h4>
                                <pre>public&nbsp;void&nbsp;writeShort(int&nbsp;v)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianOutput.html#writeShort-int-">writeShort</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                                title="interface in org.apache.poi.util">LittleEndianOutput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ContinuableRecordOutput.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html"
               title="class in org.apache.poi.hssf.record.cont"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
               target="_top">Frames</a></li>
        <li><a href="ContinuableRecordOutput.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
